#include <bits/stdc++.h>

using namespace std;

int stalaktiti(int s[], int n, int l, int indeks){
    if(indeks > n) return -1; //BS
    if(s[indeks] <= l) return indeks;
    return stalaktiti(s, n, l, indeks + 1);
}

int main() {
    int n;cin >> n;
    int l;cin >> l;
    int s[n];
    for(int i = 1;i <= n;i++){ 
        cin >> s[i];
    }
    int res = stalaktiti(s, n, l, 1);
    cout << res << '\n';
    return 0;
}